Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.Material

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Material

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.Material

extends IRhino3dm.RhinoObject

Field Summary
`IColor` | `ambient`
`IColor` | `diffuse`
`IColor` | `emission`
`java.lang.String` | `flamingoLibrary`
`(package private) IMaterial` | `imaterial`
`double` | `indexOfRefraction`
`java.util.ArrayList<IRhino3dm.UUIDIndex>` | `materialChannel`
`IRhino3dm.UUID` | `materialId`
`int` | `materialIndex`
`java.lang.String` | `materialName`
`IRhino3dm.UUID` | `pluginId`
`IColor` | `reflection`
`double` | `reflectivity`
`boolean` | `shared`
`double` | `shine`
`IColor` | `specular`
`java.util.ArrayList<IRhino3dm.Texture>` | `textures`
`double` | `transparency`
`IColor` | `transparent`
`static java.lang.String` | `uuid`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.Material()`
`IRhino3dm.Material(IBasicMaterial mat)`

Method Summary
`IRhino3dm.UUID` | `getClassUUID()`
`int` | `getType()`
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`void` | `readV3(IRhino3dm.Rhino3dmFile context, java.io.InputStream is, int minorVersion)`
`java.lang.String` | `toString()`
`void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`createIObject, read, setAttributes, setAttributesToIObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

### materialId

    public IRhino3dm.UUID materialId

### materialIndex

    public int materialIndex

### materialName

    public java.lang.String materialName

### flamingoLibrary

    public java.lang.String flamingoLibrary

### ambient

    public IColor ambient

### diffuse

    public IColor diffuse

### emission

    public IColor emission

### specular

    public IColor specular

### reflection

    public IColor reflection

### transparent

    public IColor transparent

### indexOfRefraction

    public double indexOfRefraction

### reflectivity

    public double reflectivity

### shine

    public double shine

### transparency

    public double transparency

### shared

    public boolean shared

### textures

    public java.util.ArrayList<IRhino3dm.Texture> textures

### materialChannel

    public java.util.ArrayList<IRhino3dm.UUIDIndex> materialChannel

### pluginId

    public IRhino3dm.UUID pluginId

### imaterial

    IMaterial imaterial

Constructor Detail

### IRhino3dm.Material

    public IRhino3dm.Material()

### IRhino3dm.Material

    public IRhino3dm.Material(IBasicMaterial mat)

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.RhinoObject`

### getType

    public int getType()

  Overrides:
    `getType` in class `IRhino3dm.RhinoObject`

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Overrides:
    `read` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### readV3

    public void readV3(IRhino3dm.Rhino3dmFile context,
                       java.io.InputStream is,
                       int minorVersion)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(IRhino3dm.Rhino3dmFile context,
                      java.io.OutputStream os,
                      java.util.zip.CRC32 crc)
               throws java.io.IOException

  Overrides:
    `write` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD